<div class="deliveryTruck container">
    <div class="row"><h1>Delivery Truck</h1></div>
    <div class="row">
        <div class="col pull-left" *ngFor="let beerContainer of containerList">
            <div class="beerContainer">Container ({{beerContainer.containerId}})
                <div class="beer" *ngFor="let beer of beerContainer.beerList">
                    <div><button class="btn" (click)="getBeerFromContainer(beerContainer.containerId, beer.beerId)">Get</button> {{beer.beerType.beerTypeName}} {{beer.msg}}</div>
                </div>
                <div>Temperature: <label>{{beerContainer.temp | number : '2.2'}}</label></div>
                <div>
                    <button class="btnAddBeer" (click)="openContainerDoor(beerContainer.containerId)" [hidden]="beerContainer.doorOpened">Open Door</button>
                    <button class="btnAddBeer" (click)="closeContainerDoor(beerContainer.containerId)"  [hidden]="!beerContainer.doorOpened">Close Door</button>
                    <button class="btnAddBeer" (click)="showAddBeerToContainerForm(beerContainer.containerId)">Add Beer</button>
                </div>
            </div>
        </div>
    </div>
    <div class="row"><button class="btn btnAddContainer" (click)="addContainer()">Add Container</button></div>
</div>
<div class="addBeerForm" [hidden]="addBeerToContainerVisible">
    <div class="row"><h4>Adding beer bottle to a container</h4></div>
    <div class="row">
        <select class="form-control select-beer" [(ngModel)]="newBeerTypeSelected">
            <option value="-1">-Select your beer type-</option>
            <option value="Pale Ale">Pale Ale</option>
            <option value="Pilsner">Pilsner</option>
            <option value="IPA">IPA</option>
            <option value="Lager">Lager</option>
            <option value="Stout">Stout</option>
            <option value="Wheat beer">Wheat beer</option>
        </select>
    </div>
    <div class="row">
        <button class="btn btnAddBeer" (click)="addBeerToContainer(selectedContained)">Add</button>
        <button class="btn btnAddBeer" (click)="hideAddBeerToContainerForm()">Cancel</button>
    </div>
</div>